"use strict";
exports.__esModule = true;
var index_1 = require("./index");
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is a string whose trailing characters are equal to ${otherString}.
 * @param otherString 'Script'
 * @param value 'JavaScript'
 * @matcherName toEndWith
 * @memberMatcherName toHaveEndingWith
 * @matcherMessage expected ${value} to end with ${otherString}
 * @matcherNotMessage expected ${value} not to end with ${otherString}
 */
exports.endsWith = curry_1.curry(function (otherString, value) {
    return index_1.isNonEmptyString(value) &&
        index_1.isNonEmptyString(otherString) &&
        value.slice(value.length - otherString.length, value.length) === otherString;
});
