"use strict";
exports.__esModule = true;
var is_array_1 = require("./is-array");
var is_number_1 = require("./is-number");
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is an `Array` containing ${size} number of values.
 * @param size 4
 * @param value ['i', 'contain', 4, 'items']
 * @matcherName toBeArrayOfSize
 * @memberMatcherName toHaveArrayOfSize
 * @matcherMessage expected ${value} to be an array containing exactly ${size}
 * items
 * @matcherNotMessage expected ${value} not to be an array containing exactly
 * ${size} items
 */
exports.isArrayOfSize = curry_1.curry(function (size, value) { return is_array_1.isArray(value) && is_number_1.isNumber(size) && value.length === size; });
