"use strict";
exports.__esModule = true;
var has_type_1 = require("./lib/has-type");
/**
 * Asserts that ${value} is a function using async/await syntax.
 * @param value async () => { await fetch('...') }
 * @matcherName toBeAsyncFunction
 * @memberMatcherName toHaveAsyncFunction
 * @matcherMessage expected ${value} to be a `Function` using async/await syntax
 * @matcherNotMessage expected ${value} not to be a function using async/await
 * syntax
 */
exports.isAsyncFunction = has_type_1.hasType('AsyncFunction');
