"use strict";
exports.__esModule = true;
var is_number_1 = require("./is-number");
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is a `Number` which results in a whole number when
 * divided by ${otherNumber}.
 * @param otherNumber 2
 * @param value 12
 * @matcherName toBeDivisibleBy
 * @memberMatcherName toHaveDivisibleBy
 * @matcherMessage expected ${value} to be divisible by ${otherNumber}
 * @matcherNotMessage expected ${value} not to be divisible by ${otherNumber}
 */
exports.isDivisibleBy = curry_1.curry(function (otherNumber, value) { return is_number_1.isNumber(value) && is_number_1.isNumber(otherNumber) && value % otherNumber === 0; });
