"use strict";
exports.__esModule = true;
var has_type_1 = require("./lib/has-type");
/**
 * Asserts that ${value} is a `Function` using yield syntax.
 * @param value function* gen() { yield 'i am a generator' }
 * @matcherName toBeGeneratorFunction
 * @memberMatcherName toHaveGeneratorFunction
 * @matcherMessage expected ${value} to be a function using yield syntax.
 * @matcherNotMessage expected ${value} not to be a function using yield syntax.
 */
exports.isGeneratorFunction = has_type_1.hasType('GeneratorFunction');
