"use strict";
exports.__esModule = true;
var is_number_1 = require("./is-number");
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is greater than or equal to ${otherNumber}.
 * @param otherNumber 5
 * @param value 10
 * @matcherName toBeGreaterThanOrEqualTo
 * @memberMatcherName toHaveGreaterThanOrEqualTo
 * @matcherMessage expected ${value} to be greater than or equal to
 * ${otherNumber}
 * @matcherNotMessage expected ${value} not to be greater than or equal to
 * ${otherNumber}
 */
exports.isGreaterThanOrEqualTo = curry_1.curry(function (otherNumber, value) { return is_number_1.isNumber(value) && is_number_1.isNumber(otherNumber) && value >= otherNumber; });
