"use strict";
exports.__esModule = true;
var is_number_1 = require("./is-number");
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is less than or equal to ${otherNumber}.
 * @param otherNumber 12
 * @param value 8
 * @matcherName toBeLessThanOrEqualTo
 * @memberMatcherName toHaveLessThanOrEqualTo
 * @matcherMessage expected ${value} to be less than or equal to ${otherNumber}
 * @matcherNotMessage expected ${value} not to be less than or equal to
 * ${otherNumber}
 */
exports.isLessThanOrEqualTo = curry_1.curry(function (otherNumber, value) { return is_number_1.isNumber(value) && is_number_1.isNumber(otherNumber) && value <= otherNumber; });
