"use strict";
exports.__esModule = true;
var curry_1 = require("./lib/curry");
var is_indexed_list_1 = require("./lib/is-indexed-list");
/**
 * Asserts that ${value} is a `String` or `Array` whose length is greater than
 * that of ${otherStringOrArray}.
 * @param otherStringOrArray [2, 'items']
 * @param value ['i', 'have', 3]
 * @matcherName toBeLongerThan
 * @memberMatcherName toHaveLongerThan
 * @matcherMessage expected ${value} to be a string or array whose length is
 * greater than that of ${otherStringOrArray}
 * @matcherNotMessage expected ${value} not to be a string or array whose length
 * is greater than that of ${otherStringOrArray}
 */
exports.isLongerThan = curry_1.curry(function (otherStringOrArray, value) {
    return is_indexed_list_1.isIndexedList(value) &&
        is_indexed_list_1.isIndexedList(otherStringOrArray) &&
        value.length > otherStringOrArray.length;
});
