"use strict";
exports.__esModule = true;
var is_within_range_1 = require("./is-within-range");
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is a number within the given acceptable distance from
 * ${otherNumber}.
 * @param otherNumber 5
 * @param epsilon 0.5
 * @param value 4.8
 * @matcherName toBeNear
 * @memberMatcherName toHaveNumberNear
 * @matcherMessage expected ${value} to be within ${epsilon} greater or less
 * than ${otherNumber}
 * @matcherNotMessage expected ${value} not to be within ${epsilon} greater or
 * less than ${otherNumber}
 */
exports.isNear = curry_1.curry(function (otherNumber, epsilon, value) {
    return is_within_range_1.isWithinRange(otherNumber - epsilon, otherNumber + epsilon, value);
});
