"use strict";
exports.__esModule = true;
var index_1 = require("./index");
var curry_1 = require("./lib/curry");
/**
 * Assert value is a string whose leading characters are equal to `other`.
 * @param otherString 'Java'
 * @param value 'JavaScript'
 * @matcherName toStartWith
 * @memberMatcherName toHaveStartingWith
 * @matcherMessage expected ${value} to start with ${otherString}
 * @matcherNotMessage expected ${value} not to start with ${otherString}
 */
exports.startsWith = curry_1.curry(function (otherString, value) {
    return index_1.isNonEmptyString(value) &&
        index_1.isNonEmptyString(otherString) &&
        value.slice(0, otherString.length) === otherString;
});
