"use strict";
exports.__esModule = true;
var curry_1 = require("./lib/curry");
/**
 * Asserts that ${value} is a `Function` which throws an `Error` of the given
 * type.
 * @param typeName 'TypeError'
 * @param value () => thisValueIsUndefined.someProp
 * @matcherName toThrowErrorOfType
 * @memberMatcherName toHaveMethodThrowingErrorOfType
 * @matcherMessage expected ${value} to throw an error of type ${typeName}
 * @matcherNotMessage expected ${value} not to throw an error of type
 * ${typeName}
 */
exports.throwsErrorOfType = curry_1.curry(function (typeName, value) {
    try {
        value();
        return false;
    }
    catch (err) {
        return err.name === typeName;
    }
});
